Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031392
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2015-11-06 13:062017-05-16 14:24
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q2
StatusclosedFix in branchFixed in SCM revision12ea156ee0b3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031392: It is not possible to match positive bank statement line against negative purchase invoice from Match Statement process

DescriptionIn case you have a negative purchase invoice and you register and deposit negative payment you will be able to match this transaction against a positive bank statement line (using search transaction process).

However, you will not be able to perform this matching creating payment and transaction using Add Transaction and Add Payment processes from Match Statement
Steps To Reproduce1. Register purchase invoice document setting qty=-1 so invoice's amount is negative. Process invoice
2. Access Cuenta de Banco financial account and register bank statement with a line with amount in. Process bank statement
3. Run "Match Statement" process, run Add Transaction from positive line, change type to "BP Withdrawal" and run Add Payment process. Realize that you are not able to create negative payment out

Note: if you register negative payment out document directly from your invoice and withdrawn it in the financial account you will be able to match it against positive bank statement line using search transaction process
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
causes defect 0033465 closedmarkmm82 Invoice amount not populated when running Add Payment from Add Transaction from Match Statement process 
causes defect 0033666 closednonofrancisco when adding a payment in match statement, the actual payment is 0, and it should be the transaction amount 

-  Notes
(0083142)
AtulOpenbravo (developer)
2016-01-05 17:54
edited on: 2016-01-13 17:23

Test Plan:

Login as F&B Admin role:

- Create purchase invoice for "Bebidas Alegres", "Cerveza Ale" product and quantity = -1. Process it.

- Go to "Cuenta de Banco" financial account and create a bank statement and a line with amount in = 1.65. Process it.

- Run "Match Statement" process.

- Click on Add new Transaction from created bank statement line.

- Click on Add payment.
  Change Document to Paid Out.
  Unselect every record in Order/Invoice grid.
  Select created purchase invoice in Order/Invoice grid.
  Complete the payment.
  Cancel the transaction.

- Click on Add new Transaction from created bank statement line.
  Change Transaction Type to BP Withdrawal.
  Realize deposit amount is set to zero and disabled and withdrawal amount is enabled.

- Click on Add payment.
  Select created purchase invoice in Order/Invoice grid.
  Complete the payment.
  Save the transaction.

- Reconcile bank statement.

Repeat the same test for sales flow. Behaviour should be the same.

Repeat the same test for purchase and sales flow using Transaction tab from Financial Account window instead of Add Transaction process from Match Statement process. Behaviour should be the same.

(0083264)
hgbot (developer)
2016-01-13 17:45

Repository: erp/devel/pi
Changeset: 12ea156ee0b3b3c3152e8348301b9d9d8ceabcb2
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Sat Jan 09 18:30:11 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/12ea156ee0b3b3c3152e8348301b9d9d8ceabcb2 [^]

Fixes bug 31392:Cant match positive bankstatement with negative purchaseinvoice

Unlike financial account transaction tab, on selecting transaction type as
Bank Deposit, withdrawal amount is set to zero, for transaction type as Bank
Withdrawal, deposit amount is set to zero, and in Bank Fee type both deposit
and withdrawal amount are set to zero.

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addTransaction.js
---
(0083265)
hgbot (developer)
2016-01-13 17:46

Repository: erp/devel/pi
Changeset: 27ef13611fff1cb4414cd42e240e4a04ab94ae66
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Jan 13 17:43:20 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/27ef13611fff1cb4414cd42e240e4a04ab94ae66 [^]

Related to issue 31392: Code review improvements

Set zero as a number instead of as a string.
Remove actualPayment update with bslamount in ob-aprm-addPayment to get in Add Transaction the same behaviour as in Transaction tab.

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addTransaction.js
---
(0083266)
aferraz (developer)
2016-01-13 17:49

Code review + Testing OK
(0083833)
hgbot (developer)
2016-02-02 09:44

Repository: tools/automation/int
Changeset: 6a29f40bf68d9258c311636a3c1497ee0614ba0d
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Jan 15 13:08:35 2016 +0100
URL: http://code.openbravo.com/tools/automation/int/rev/6a29f40bf68d9258c311636a3c1497ee0614ba0d [^]

Related to issue 31392: Fix APRDepositReconciliation010 & APRRegression30007Out tests

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_ReconciliationRefactor/APRDepositReconciliation010.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APROut_Regressions/APRRegression30007Out.java
---
(0083834)
hgbot (developer)
2016-02-02 09:44

Repository: tools/automation/int
Changeset: 65c12cf5437adb8426b710c53b9c4ce7be30aa80
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Jan 18 10:28:01 2016 +0100
URL: http://code.openbravo.com/tools/automation/int/rev/65c12cf5437adb8426b710c53b9c4ce7be30aa80 [^]

Related to issue 31392: Fix APRWithdrawalReconciliation006 test

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_ReconciliationRefactor/APRWithdrawalReconciliation006.java
---
(0083835)
hgbot (developer)
2016-02-02 09:44

Repository: tools/automation/int
Changeset: b5da7958e7d29af660886df7f7fa450e8168842a
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Jan 19 13:56:05 2016 +0100
URL: http://code.openbravo.com/tools/automation/int/rev/b5da7958e7d29af660886df7f7fa450e8168842a [^]

Related to issue 31392: Fix APRWithdrawalReconciliation010 test

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_ReconciliationRefactor/APRWithdrawalReconciliation010.java
---
(0083836)
hgbot (developer)
2016-02-02 09:44

Repository: tools/automation/int
Changeset: f3d09985ecc83ba7e1ef780ff8cc79dfcefa323c
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Jan 20 09:49:27 2016 +0100
URL: http://code.openbravo.com/tools/automation/int/rev/f3d09985ecc83ba7e1ef780ff8cc79dfcefa323c [^]

Related to issue 31392: Fix APRUnmatchSelected001 test

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_ReconciliationRefactor/APRUnmatchSelected001.java
---
(0085041)
hudsonbot (developer)
2016-03-17 10:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085042)
hudsonbot (developer)
2016-03-17 10:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0089508)
hgbot (developer)
2016-08-29 15:19

Repository: erp/devel/pi
Changeset: 380dc747bc6418d6ed54b31921bf55e9424bcd3a
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Tue Aug 16 14:44:35 2016 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/380dc747bc6418d6ed54b31921bf55e9424bcd3a [^]

Fixes issue 33666: Zero amount instead of withdrawal amount in Add Payment

When creating a payment out with Add Payment process in Financial Account window (from Transaction tab or Match Statement | Add Transaction process), actual payment will be loaded with withdrawal amount.
If transaction withdrawal amount is different than 0, actual payment will be loaded with withdrawal amount but will not be distributed into order/invoices in the grid. If total amount is lower than withdrawal amount, actual payment will not be updated with total amount and we will be able to leave the difference between withdrawal amount and total amount as credit. If total amount is higher than withdrawal amount, actual payment will be updated with total amount and we will be able to pay more amount than withdrawal amount.
If transaction withdrawal amount is 0, actual payment will always be updated with total amount and it will not be possible to generate credit in this payment.

We have reverted changes done in ob-aprm-addPayment.js for issues 33465 and 31392, and we will retrieve bslamount as deposit amount - withdrawal amount also in Transaction tab, as it is done in Add Transaction process.
With this, opening Add Payment from both Transaction tab and Add Transaction process, will have the same behavior as it used to when opening from Add Transaction process in 16Q1 (before fixing issue 31392).

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/filterexpression/TransactionAddPaymentDefaultValues.java
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
---
(0089511)
hgbot (developer)
2016-08-29 15:29

Repository: erp/backports/3.0PR16Q2.3
Changeset: 7733df065bf1a20d515216724c6cbf0f011874ec
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Tue Aug 16 14:44:35 2016 -0400
URL: http://code.openbravo.com/erp/backports/3.0PR16Q2.3/rev/7733df065bf1a20d515216724c6cbf0f011874ec [^]

Fixes issue 33715: Zero amount instead of withdrawal amount in Add Payment

When creating a payment out with Add Payment process in Financial Account window (from Transaction tab or Match Statement | Add Transaction process), actual payment will be loaded with withdrawal amount.
If transaction withdrawal amount is different than 0, actual payment will be loaded with withdrawal amount but will not be distributed into order/invoices in the grid. If total amount is lower than withdrawal amount, actual payment will not be updated with total amount and we will be able to leave the difference between withdrawal amount and total amount as credit. If total amount is higher than withdrawal amount, actual payment will be updated with total amount and we will be able to pay more amount than withdrawal amount.
If transaction withdrawal amount is 0, actual payment will always be updated with total amount and it will not be possible to generate credit in this payment.

We have reverted changes done in ob-aprm-addPayment.js for issues 33465 and 31392, and we will retrieve bslamount as deposit amount - withdrawal amount also in Transaction tab, as it is done in Add Transaction process.
With this, opening Add Payment from both Transaction tab and Add Transaction process, will have the same behavior as it used to when opening from Add Transaction process in 16Q1 (before fixing issue 31392).

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/filterexpression/TransactionAddPaymentDefaultValues.java
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
---
(0089521)
hudsonbot (developer)
2016-08-29 21:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bc86301d6ff4 [^]
Maturity status: Test
(0089644)
hgbot (developer)
2016-09-01 11:45

Repository: erp/backports/3.0PR16Q3.2
Changeset: 3d9434730d35dab8b50476e1d1ff579ac329fa05
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Tue Aug 16 14:44:35 2016 -0400
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.2/rev/3d9434730d35dab8b50476e1d1ff579ac329fa05 [^]

Fixes issue 33714: Zero amount instead of withdrawal amount in Add Payment

When creating a payment out with Add Payment process in Financial Account window (from Transaction tab or Match Statement | Add Transaction process), actual payment will be loaded with withdrawal amount.
If transaction withdrawal amount is different than 0, actual payment will be loaded with withdrawal amount but will not be distributed into order/invoices in the grid. If total amount is lower than withdrawal amount, actual payment will not be updated with total amount and we will be able to leave the difference between withdrawal amount and total amount as credit. If total amount is higher than withdrawal amount, actual payment will be updated with total amount and we will be able to pay more amount than withdrawal amount.
If transaction withdrawal amount is 0, actual payment will always be updated with total amount and it will not be possible to generate credit in this payment.

We have reverted changes done in ob-aprm-addPayment.js for issues 33465 and 31392, and we will retrieve bslamount as deposit amount - withdrawal amount also in Transaction tab, as it is done in Add Transaction process.
With this, opening Add Payment from both Transaction tab and Add Transaction process, will have the same behavior as it used to when opening from Add Transaction process in 16Q1 (before fixing issue 31392).

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/filterexpression/TransactionAddPaymentDefaultValues.java
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
---
(0089752)
hgbot (developer)
2016-09-05 13:12

Repository: tools/automation/int
Changeset: 7e8bef12da1b478798e8b797204cc33d96edc357
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Jul 14 11:56:34 2016 +0200
URL: http://code.openbravo.com/tools/automation/int/rev/7e8bef12da1b478798e8b797204cc33d96edc357 [^]

Related to issue 33465: Backout changesets 6a29f40bf68d & 65c12cf5437a

Undo changes done for issue 31392 in APRDepositReconciliation010, APRRegression30007Out and APRWithdrawalReconciliation006 selenium tests because since issue 33465 they are not necessary.

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_ReconciliationRefactor/APRDepositReconciliation010.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_ReconciliationRefactor/APRWithdrawalReconciliation006.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APROut_Regressions/APRRegression30007Out.java
---

- Issue History
Date Modified Username Field Change
2015-11-06 13:06 maite New Issue
2015-11-06 13:06 maite Assigned To => Triage Finance
2015-11-06 13:06 maite Modules => Advanced Payables and Receivables Mngmt
2015-11-06 13:06 maite Triggers an Emergency Pack => No
2015-11-06 13:06 maite Issue Monitored: networkb
2015-11-06 13:20 azabaleta Issue Monitored: azabaleta
2015-12-02 17:23 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-12-02 17:24 AtulOpenbravo Status new => scheduled
2015-12-21 16:16 vmromanos Target Version 3.0PR16Q1 =>
2016-01-05 17:54 AtulOpenbravo Note Added: 0083142
2016-01-13 17:23 aferraz Note Edited: 0083142 View Revisions
2016-01-13 17:45 hgbot Checkin
2016-01-13 17:45 hgbot Note Added: 0083264
2016-01-13 17:45 hgbot Status scheduled => resolved
2016-01-13 17:45 hgbot Resolution open => fixed
2016-01-13 17:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/12ea156ee0b3b3c3152e8348301b9d9d8ceabcb2 [^]
2016-01-13 17:46 hgbot Checkin
2016-01-13 17:46 hgbot Note Added: 0083265
2016-01-13 17:49 aferraz Review Assigned To => aferraz
2016-01-13 17:49 aferraz Note Added: 0083266
2016-01-13 17:49 aferraz Status resolved => closed
2016-01-13 17:49 aferraz Fixed in Version => 3.0PR16Q2
2016-02-02 09:44 hgbot Checkin
2016-02-02 09:44 hgbot Note Added: 0083833
2016-02-02 09:44 hgbot Checkin
2016-02-02 09:44 hgbot Note Added: 0083834
2016-02-02 09:44 hgbot Checkin
2016-02-02 09:44 hgbot Note Added: 0083835
2016-02-02 09:44 hgbot Checkin
2016-02-02 09:44 hgbot Note Added: 0083836
2016-03-17 10:54 hudsonbot Checkin
2016-03-17 10:54 hudsonbot Note Added: 0085041
2016-03-17 10:54 hudsonbot Checkin
2016-03-17 10:54 hudsonbot Note Added: 0085042
2016-07-12 13:54 aferraz Relationship added causes 0033465
2016-08-11 12:35 aferraz Relationship added related to 0033666
2016-08-12 14:45 aferraz Relationship deleted related to 0033666
2016-08-12 14:45 aferraz Relationship added causes 0033666
2016-08-29 15:19 hgbot Checkin
2016-08-29 15:19 hgbot Note Added: 0089508
2016-08-29 15:29 hgbot Checkin
2016-08-29 15:29 hgbot Note Added: 0089511
2016-08-29 21:02 hudsonbot Checkin
2016-08-29 21:02 hudsonbot Note Added: 0089521
2016-09-01 11:45 hgbot Checkin
2016-09-01 11:45 hgbot Note Added: 0089644
2016-09-05 13:12 hgbot Checkin
2016-09-05 13:12 hgbot Note Added: 0089752
2017-05-16 14:24 eugeni Issue Monitored: eugeni


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker